# Gimp.Image.freeze_paths

    @accepts(Gimp.Image)
    @returns(bool)
    def freeze_paths(self):
        # Python wrapper for gimp_image_freeze_paths()

Freeze the image's path list.

This procedure freezes the path list of the image, suppressing any updates to the Paths dialog in response to changes to the image's path. This can significantly improve performance while applying changes affecting the path list.

Each call to Gimp.Image.freeze_paths should be matched by a corresponding call to gimp_image_thaw_paths (), undoing its effects.

Since 2.10.2

self

  The image.

Returns